import Foundation

class Utility {

    static func mutableDictionaryForJSONResource(_ resource: String, ofType resourceType: String) -> NSMutableDictionary? {
        if let jsonFile = Bundle.main.path(forResource: resource, ofType: resourceType),
           let jsonData = NSData(contentsOfFile: jsonFile) as? Data,
           let json = try? JSONSerialization.jsonObject(with: jsonData, options: [.mutableContainers]) as? NSMutableDictionary {
            return json
        }
        return nil
    }

    static func capitalize(_ str: String) -> String {
        let firstLetter = str.substring(to: str.index(str.startIndex, offsetBy: 1))
        let remainder = str.substring(from: str.index(str.startIndex, offsetBy: 1))
        return firstLetter.uppercased() + remainder
    }

    static func layerPropertyKeyForPropertyName(propertyName: String) -> String {
        let parts = propertyName.components(separatedBy: "-")
        var propertyKey = parts[0]
        for i in 1..<parts.count {
            propertyKey += capitalize(parts[i])
        }
        return propertyKey
    }

}
